#include "dialog.h"
#include "ui_dialog.h"
#include <QFileDialog>
#include <QFile>
#include <QTextCodec>

Dialog::Dialog(QWidget *parent)
    : QDialog(parent)
    , ui(new Ui::Dialog)
{
    ui->setupUi(this);

    connect(ui->read, &QPushButton::clicked, this, [this]() {
        auto fileName = QFileDialog::getOpenFileName(this);
        if (!fileName.isEmpty())
            readFile(fileName);
    });
}

Dialog::~Dialog()
{
    delete ui;
}

void Dialog::readFile(const QString &fname)
{
    ui->textEdit->clear();

    auto codec = QTextCodec::codecForName("Windows-1251");

    QFile file(fname);
    if (file.open(QFile::ReadOnly))
        ui->textEdit->insertPlainText(codec->toUnicode(file.readAll()));
}

